
QGIS Application - Bug report #14782

'Line pattern fill' and 'Marker line' zooming/panning issue

2016-05-06 01:17 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22739

Description

When zooming or panning the map canvas, the position of line pattern fills and marker lines changes dynamically. All units are in meters

(map units).

History

#1 - 2016-05-06 01:18 PM - R. R.

- File 14782.zip added

- File 14782.mp4 added

#2 - 2016-05-09 10:11 AM - Saber Razmjooei

- Category set to Symbology

#3 - 2016-05-23 01:52 PM - Giovanni Manghi

- Priority changed from High to Normal

is this really an issue (genuinely asking)?

#4 - 2016-05-24 12:12 PM - R. R.

This issue is quite important to me. As demonstrated in the screencast the marker line is visible at larger scales although it is located far away from the

current map section.

#5 - 2016-05-24 12:33 PM - Giovanni Manghi

Reinhard Reiterer wrote:

This issue is quite important to me.

but generally speaking it is?

#6 - 2016-05-24 12:33 PM - Giovanni Manghi

- Status changed from Open to Feedback

#7 - 2016-05-25 12:07 AM - R. R.
It's a bug that needs to be fixed!

#8 - 2016-05-26 04:29 AM - Giovanni Manghi

Reinhard Reiterer wrote:

It's a bug that needs to be fixed!

yes, but this does not explains what the actual bug is (at least to me), so I still do not understand if this is a corner case (even if very important to you) or a

more general issue. Thanks!

#9 - 2016-05-26 07:57 AM - R. R.

- File 14782_2.mp4 added

Hi Giovanni, in the attached file the marker line interval is set to 40 map units (m). How can markers with a fixed interval change their position? Panning a

map with several marker lines and pattern fills is a bit annoying because half of the map content changes the position the whole time.

#10 - 2016-05-30 05:24 AM - Martin Dobias

I think those two issues should get resolved by enabling one option: Open project properties dialog > "General" tab > "General settings" group > Avoid

artifacts when project is rendered as map tiles.

Could you please try and report back if that helped?

#11 - 2016-05-30 12:51 PM - R. R.

- Status changed from Feedback to Closed

Thanks, zooming/panning the map canvas works just fine now. I haven't noticed this checkbox before.

Files

14782.zip 9.19 KB 2016-05-06 R. R.

14782.mp4 2.18 MB 2016-05-06 R. R.

14782_2.mp4 2.18 MB 2016-05-26 R. R.
